Bug Hunting Session
Bug 73390 - Paste Special issue with merged cells
Summary: Paste Special issue with merged cells
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Merge-Split Paste-Special
  Show dependency treegraph
 
Reported: 2014-01-08 10:05 UTC by ARNOULD Michel
Modified: 2019-09-01 00:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
copie d'écran d'une partie de feuille CALC après collage spécial de M4111 sur M412..M420 (218.50 KB, application/vnd.oasis.opendocument.text)
2014-01-08 10:27 UTC, ARNOULD Michel
Details
attachment-15219-0.html (2.36 KB, text/html)
2014-01-08 19:59 UTC, ARNOULD Michel
Details
attachment-15219-1.dat (1 bytes, multipart/alternative)
2014-01-08 19:59 UTC, ARNOULD Michel
Details
tableau petit cadran solaire avec corrections semestres séparés en travaux.ods (1022.75 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-01-08 19:59 UTC, ARNOULD Michel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ARNOULD Michel 2014-01-08 10:05:53 UTC

    
Comment 1 ARNOULD Michel 2014-01-08 10:27:58 UTC
Created attachment 91654 [details]
copie d'écran d'une partie de feuille CALC après collage spécial de M4111 sur M412..M420

quand on copie les formules( uniquement : pas de format ni autre chose) à partir de cellules fusionnées vers des cellules fusionnées de même format à l'aide de la commande COPIER  -  COLLAGE SPECIAL  , certaines des cellules réceptrices (et même parfois des cellules non concernées par la copie comme sur l'exemple reproduit en pièce jointe) sont défusionnées !
Comment 2 bfoman (inactive) 2014-01-08 18:28:00 UTC
@Sophie Gautier: can you help to translate this report? Thanks.
Comment 3 sophie 2014-01-08 18:47:53 UTC
Translation: 
Concerning the screenshot: after paste special of M4111 on M412..M420.

When formula are copied (only: format not anything else) from merged cells to merged cells on the same format using Paste > Paste special, some of the target cells (and sometimes even non concerned cells like in the sample) are split!

@Michel: can you please join the original spreadsheet please. Thanks - Sophie
Comment 4 ARNOULD Michel 2014-01-08 19:59:29 UTC
Created attachment 91695 [details]
attachment-15219-0.html

bonsoir Sophie
merci de vous intéresser aux bugs LibreOffice et à celui que j'ai signalé en particulier.
j'ai rencontré ce gug très souvent (et même systématiquement) en travaillant sur le fichier dont je joins une des versions. en fait, j'ai artificiellement reproduit le bug exprès pour créer la copie d'écran que j'ai jointe au "signalement". j'ai d'autres bugs ou anomalies de fonctionnement à signaler ; ce sera pour plus tard ! vous avez du pain sur la planche ! bon courage !

michel arnould

> Message du 08/01/14 19:47
> De : bugzilla-daemon@freedesktop.org
> A : michel-f.arnould@laposte.net
> Copie à :
> Objet : [Bug 73390]=?UTF-8?Q?=20pb=20de=20compatibilit=C3=A9=20collage=20sp=C3=A9cial=20avec=20cellules=20fusionn=C3=A9es?=
>
> > 
Comment # 3 on bug 73390 from sophie Translation: Concerning the screenshot: after paste special of M4111 on M412..M420. When formula are copied (only: format not anything else) from merged cells to merged cells on the same format using Paste > Paste special, some of the target cells (and sometimes even non concerned cells like in the sample) are split! @Michel: can you please join the original spreadsheet please. Thanks - Sophie  
You are receiving this mail because: You reported the bug.
Comment 5 ARNOULD Michel 2014-01-08 19:59:29 UTC
Created attachment 91696 [details]
attachment-15219-1.dat
Comment 6 ARNOULD Michel 2014-01-08 19:59:29 UTC
Created attachment 91697 [details]
tableau petit cadran solaire avec corrections semestres séparés en travaux.ods
Comment 7 sophie 2014-01-08 20:15:51 UTC
Hi Michel, 
Thanks for your feedback, but two things:
- as you may have noticed, English only speaking is accepted here (that allow QA members and developers to have a chance to work on your problem)
- don't reply to the mail you receive, but comment on the but you opened. 

So translation of
---------------
j'ai rencontré ce gug très souvent (et même systématiquement) en travaillant sur le fichier dont je joins une des versions. en fait, j'ai artificiellement reproduit le bug exprès pour créer la copie d'écran que j'ai jointe au "signalement". j'ai d'autres bugs ou anomalies de fonctionnement à signaler ; ce sera pour plus tard ! vous avez du pain sur la planche ! bon courage !
--------------
I've met this bug very often (even systematically) while working on the file which I join a version. Actually, I've artificially reproduced the bug to take the screenshot.
--------------

The rest is concerning other bugs Michel has encountered, which he will report later, fortunately in English :)
Sophie
Comment 8 Dominique Boutry 2014-01-15 10:09:29 UTC
Reproduced on LibO4.2.0.1 rc1 with Win7

Steps :
- in a new spreadsheet,
- merge A1 and B1, fill it with "old",
- merge A2 and B2, fill it with "new",
- select A2:B2, copy, select A1:B1, note that A2 alone is framed with a flickering line,
- select A1:B1, paste : it works,
- undo last step, paste special (formulae only) : it fails (A1:B1 is split ; "new" isn't pasted anywhere due to the "formulae only")
Comment 9 tommy27 2014-01-18 08:51:53 UTC
translated summary from french to english
Comment 10 pierre-yves samyn 2014-06-21 15:47:45 UTC
Hi

(In reply to comment #8)
I also reproduce with these steps:

1. File> New> Spreadsheet
2. Merge A1 and B1, fill it with "old",
3. Merge A2 and B2, fill it with "new",
4. Select A2:B2, copy
5. Select A1:B1, paste special Text only

Expected result :
A1:B1 still merged, content: "new"

Actual result:
A1:B1 unmerged, content: "new" in A1, B1 empty

Workaround: paste special Text + Format

I set status to New

Platform: Windows 7/64 & Version: 4.3.0.1
Build ID: 67f5430184326974072b65403ef1d9d934fc4481

Regards
Pierre-Yves
Comment 11 QA Administrators 2015-07-18 17:44:12 UTC Comment hidden (obsolete)
Comment 12 tommy27 2015-07-20 10:06:51 UTC
still reproducible with LibO 4.4.5.1 and 5.1.0.0.alpha1+ (x64)
Build ID: 449d272daf5e99f039cdfdd25f020bd798fb9e1d
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-08_08:13:06
Locale: it-IT (it_IT)
Comment 13 QA Administrators 2016-09-20 10:18:19 UTC Comment hidden (obsolete)
Comment 14 Thomas Lendo 2019-09-01 00:02:13 UTC
Still reproducible with Version: 6.4.0.0.alpha0+
Build ID: 4e527f55d74e3220873075a8ec2799e2206fdb2d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-08-31_02:35:57
Locale: de-AT (de_AT.UTF-8); UI-Language: en-US
Comment 15 Thomas Lendo 2019-09-01 00:14:53 UTC
(In reply to Dominique Boutry from comment #8)
> - select A2:B2, copy, select A1:B1, note that A2 alone is framed with a
> flickering line,
See Bug 127256 - EDITING: Marching ants when copying merged cells only around first cell